%define		pkg	daemon
Summary:	Add-on for creating *nix daemons
Name:		nodejs-%{pkg}
Version:	0.5.1
Release:	4
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/indexzero/daemon.node
Source0:	http://registry.npmjs.org/daemon/-/%{pkg}-%{version}.tgz
# Source0-md5:	31730d0308efdc9435440e1880e82b9d
BuildRequires:	nodejs-devel
BuildRequires:	rpmbuild(macros) >= 1.634
# due library being versioned
%requires_eq	nodejs
Requires:	nodejs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine for arch specific
%define		nodejs_libdir	%{_libdir}/node

%description
A C++ add-on for Node.js to enable simple daemons in JavaScript plus
some useful wrappers in JavaScript.

%prep
%setup -qc
mv package/* .

cat > install <<EOF
#!/bin/sh
exit 0
EOF

%build
node-waf configure build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -pr lib package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

version=$(node -v)
install -p build/Release/daemon.node $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}/lib/daemon.$version.node
install -p install $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%dir %{nodejs_libdir}/%{pkg}
%{nodejs_libdir}/%{pkg}/package.json
%dir %{nodejs_libdir}/%{pkg}/lib
%{nodejs_libdir}/%{pkg}/lib/daemon.js
%attr(755,root,root) %{nodejs_libdir}/%{pkg}/lib/daemon.v*.node
%attr(755,root,root) %{nodejs_libdir}/%{pkg}/install

%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> ea61cc1
- release 4 (by relup.sh)

* Mon Jun 18 2012 Elan Ruusamäe <glen@pld-linux.org> c54cfc7
- release 3

* Sun Jun 17 2012 Elan Ruusamäe <glen@pld-linux.org> 394600c
- BR libstdc++-devel filled by nodejs-devel

* Sun Jun 17 2012 Elan Ruusamäe <glen@pld-linux.org> ed684cb
- dummy install for scripts.preinstall, for "npm link daemon" to work from package mode

* Sun Jun 17 2012 Elan Ruusamäe <glen@pld-linux.org> cd0cfb1
- new

